Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Interface RenderIdSupport

All Known Subinterfaces:
  ImageReference

All Known Implementing Classes:
  AbleComponent, AbstractButton, AbstractListComponent, AwtImageReference, BalloonHelp, Button, ButtonEx, ButtonGroup, Calculator, CalculatorField, ChartDisplay, CheckBox, CheckBoxEx, ColorChooser, Column, ComboBox, Component, ComponentEx, ContainerEx, ContentPane, CssStyleAdd, CssStyleAddDontPrint, CssStyleDecl, CssStyleRemove, CssStyleSheetAdd, DateChooser, DateField, DefaultTabModel.TabButton, DefaultTreeCellRenderer, DirectHtml, Download, DropDown, EditableLabelEx, EncodedImageReference, ExpandableSection, ExpansionGroup, ExternalEventMonitor, Grid, GroupBox, HttpImageReference, ImageIcon, ImageMap, KeyStrokeListener, Label, LabelEx, ListBox, ListBoxEx, ListSection, LiveTable, Menu, MenuBar, MenuButton, MenuItem, PageableSortableTable, PageableTableNavigation, PasswordField, PasswordFieldEx, PopUp, ProgressBar, PushButton, RadioButton, RadioButtonEx, ResourceImageReference, RichTextArea, Row, SelectField, SelectFieldEx, Separator, Slider, SortableTable, SplitPane, StreamImageReference, Strut, TabbedPane, Table, TableEx, TemplatePanel, TextArea, TextAreaEx, TextComponent, TextField, TextFieldEx, TextImageReference, TitleBar, ToggleButton, Tree, TreeTable, UploadSelect, URLImageReference, Window, WindowPane

    public interface RenderIdSupport

Interface for objects which may be identified for rendering purposes via via unique String identifiers. Identifiers must be unique within a given `ApplicationInstance`.

If an object will only be associated with a single `ApplicationInstance`, the `ApplicationInstance.generateId()` method may be used to generate an application unique identifier. If an object may be associated with multiple `ApplicationInstance`s, the `ApplicationInstance.generateSystemId()` method should instead be used.

An identifier string may only letters, digits and underscores [A-Z,a-z,0-9,_]

Method Summary
`java.lang.String` | `getRenderId()` Returns an identifier that is unique within the `ApplicationInstance` with which the implementor will be used.

Method Detail

### getRenderId

    java.lang.String getRenderId()

  Returns an identifier that is unique within the `ApplicationInstance` with which the implementor will be used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD